## gbirthday 0.6.4

=== Makefile ===
bindir = /usr/bin
datadir = /usr/share
sitelib = /usr/lib/python2.6/site-packages
pixmaps = $(datadir)/pixmaps
version = 0.6.4

install = install -p
mkdir = mkdir -p
cp = cp -a
rm = rm -f
tar = tar --exclude=.git --exclude=*.pyc

python = /usr/bin/python

default:
	echo Nothing to do.

clean:
	$(rm) po/untitled.pot
	$(rm) *.tar.*
	$(rm) gbirthday.desktop
	$(rm) -r gbirthday-$(version) BUILDROOT noarch
	$(rm) gbirthday*.src.rpm

install:
	intltool-merge -d ./po ./gbirthday.desktop.in ./gbirthday.desktop
	sed -i "s|@VER@|$(version)|g" src/gbirthday/__init__.py
	sed -i "s|/usr/bin/python|$(python)|g" src/gb
	$(mkdir) $(DESTDIR)$(pixmaps)
	$(install) -m 644 pics/gbirthday.png $(DESTDIR)$(pixmaps)
	$(mkdir) $(DESTDIR)$(sitelib)
	$(cp) src/gbirthday/ $(DESTDIR)$(sitelib)
	$(rm) $(DESTDIR)$(sitelib)/gbirthday/test*.py
	$(mkdir) $(DESTDIR)$(datadir)/applications/
	$(install) -m 644 gbirthday.desktop \
		$(DESTDIR)$(datadir)/applications/
	$(mkdir) $(DESTDIR)$(bindir)
	$(install) -m 755 src/gb $(DESTDIR)$(bindir)/gbirthday
	cd po && $(python) install_po.py $(DESTDIR)

uninstall:
	$(rm) $(DESTDIR)$(bindir)/gbirthday
	$(rm) $(DESTDIR)$(datadir)/applications/gbirthday.desktop
	$(rm) $(DESTDIR)$(datadir)/locale/*/LC_MESSAGES/gbirthday.mo
	$(rm) $(DESTDIR)$(pixmaps)/gbirthday.png
	$(rm) -r $(DESTDIR)$(sitelib)/gbirthday

tar.gz:	clean
	$(tar) -zcf gbirthday-$(version).tar.gz *

tar.xz: clean
	$(tar) --use-compress-program=xz \
		-cf gbirthday-$(version).tar.xz *

test:
	nosetests -v --with-coverage --cover-package=gbirthday

pot:
	cd po && intltool-update --pot

rpm:	tar.xz
	cp gbirthday-*.tar.xz ~/rpmbuild/SOURCES
	rpmbuild -ba gbirthday.spec

=== debian/changelog ===
gbirthday (0.6.4-4) unstable; urgency=low

  * debian/control: add python-support to build dependencies. Closes: #633900
    Many Thanks to Jakub Wilk.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 16 Jul 2011 00:38:12 +0900

gbirthday (0.6.4-3) unstable; urgency=low

  [Jakub Wilk]
  * debian/control: set XS-Python-Version to a minimum of 2.6. Closes:#617835

  [Rolf Leggewie]
  * debian/control: update long description

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 12 Mar 2011 21:14:26 +0800

gbirthday (0.6.4-2) unstable; urgency=low

  * debian/control: add python-evolution to run-time dependencies.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 20 Feb 2011 16:29:36 +0800

gbirthday (0.6.4-1) experimental; urgency=low

  * release upstream version 0.6.4 to experimental. Closes: #564456
  * debian/control:
    - allow uploads by Debian Maintainers
    - add a couple of build-time dependencies the new upstream requires
    - update to standard 3.9.1
    - add Vcs-* fields
    - add Homepage entry
  * debian/watch: add watch file
  * debian/copyright: update upstream and my copyright information
  * radically simplify debian/rules with dh7's rules.tiny
  * switch to DebSrc3.0 format. Closes: #600608
  * add simple manpage provided by Braulio Valdivielso Martínez
    Closes: #605979

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 06 Dec 2010 15:17:38 +0800

gbirthday (0.4.1-2) unstable; urgency=low

  * Initial release. (Closes: #511640)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 13 Jan 2009 00:39:47 +0100

=== debian/control ===
Source: gbirthday
Section: gnome
Priority: extra
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), python-nose, python-support, python-coverage, python-gtk2, intltool
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1
Homepage: http://gbirthday.sf.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/gbirthday.git
Vcs-Git: git://git.debian.org/collab-maint/gbirthday.git


Package: gbirthday
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, evolution-data-server, python,
 python-gtk2 (>= 2.10), ${python:Depends}
Recommends: python-evolution
XB-Python-Version: ${python:Versions}
Description: birthday reminder applet
 GBirthday is an applet to help you remember your friends' and contacts'
 birthdays.  It uses the notifcation area for alerts.  Data can be stored
 in a number of address book formats, flat file CSV and mysql database.

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://sf.net/gbirthday/gbirthday-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate

## gbirthday 0.6.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 datadir = /usr/share
 sitelib = /usr/lib/python2.6/site-packages
 pixmaps = $(datadir)/pixmaps
-version = 0.6.4
+version = 0.6.5
 
 install = install -p
 mkdir = mkdir -p
@@ -49,8 +49,7 @@
 	$(tar) -zcf gbirthday-$(version).tar.gz *
 
 tar.xz: clean
-	$(tar) --use-compress-program=xz \
-		-cf gbirthday-$(version).tar.xz *
+	$(tar) -Jcf gbirthday-$(version).tar.xz *
 
 test:
 	nosetests -v --with-coverage --cover-package=gbirthday

=== debian/changelog ===
gbirthday (0.6.5-1ubuntu2) quantal; urgency=low

  * debian/patches/03_disable_evo_database.patch: disable the Evolution
    database support: it will not work now that python-evolution cannot be
    built, and unnecessarily prompts users when the other databases are usable.
  * debian/control: drop python-evolution from Recommends and drop
    evolution-data-server from Depends; not needed with the Evo database
    disabled.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 14 Sep 2012 11:56:32 -0400

gbirthday (0.6.5-1ubuntu1) precise; urgency=low

  * debian/patches/02_fix_install_path.patch:
    - Fix FTBFS by adjusting the hardcoded Makefile install path to what
      precise uses (python2.7/dist-packages)

 -- Michael Terry <mterry@ubuntu.com>  Mon, 21 Nov 2011 15:12:18 -0500

gbirthday (0.6.5-1) unstable; urgency=low

  * new upstream release 0.6.5
  * debian/control:
    - update to Standard version 3.9.2. No further changes.
    - s/mysql/MySQL/
  * temporarily deactivate nosetests. (Closes: #642811)
  * debian/copyright: update my copyright
  * debian/dirs: drop some unused directories

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 27 Sep 2011 12:12:43 +0800

=== debian/control ===
Source: gbirthday
Section: gnome
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), python-nose, python-support, python-coverage, python-gtk2, intltool
XS-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://gbirthday.sf.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/gbirthday.git
Vcs-Git: git://git.debian.org/collab-maint/gbirthday.git


Package: gbirthday
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python,
 python-gtk2 (>= 2.10), ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: birthday reminder applet
 GBirthday is an applet to help you remember your friends' and contacts'
 birthdays.  It uses the notifcation area for alerts.  Data can be stored
 in a number of address book formats, flat file CSV and MySQL database.

## gbirthday 0.6.6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 datadir = /usr/share
 sitelib = /usr/lib/python2.6/site-packages
 pixmaps = $(datadir)/pixmaps
-version = 0.6.5
+version = 0.6.6
 
 install = install -p
 mkdir = mkdir -p
@@ -21,6 +21,7 @@
 	$(rm) gbirthday.desktop
 	$(rm) -r gbirthday-$(version) BUILDROOT noarch
 	$(rm) gbirthday*.src.rpm
+	$(rm) `find . | grep ".pyc"`
 
 install:
 	intltool-merge -d ./po ./gbirthday.desktop.in ./gbirthday.desktop
@@ -55,7 +56,7 @@
 	nosetests -v --with-coverage --cover-package=gbirthday
 
 pot:
-	cd po && intltool-update --pot
+	cd po && intltool-update --pot -g gbirthday
 
 rpm:	tar.xz
 	cp gbirthday-*.tar.xz ~/rpmbuild/SOURCES

=== debian/changelog ===
gbirthday (0.6.6-2ubuntu1) raring; urgency=low

  Merge from Debian, remaining changes:
  * debian/patches/03_disable_evo_database.patch: disable the Evolution
    database support: it will not work now that python-evolution cannot be
    built, and unnecessarily prompts users when the other databases are usable.
  * debian/control: drop python-evolution from Recommends and drop
    evolution-data-server from Depends; not needed with the Evo database
    disabled.
  * debian/patches/02_fix_install_path.patch:
    - Fix FTBFS by adjusting the hardcoded Makefile install path to what
      precise uses (python2.7/dist-packages)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 20 Dec 2012 18:53:48 +0000

gbirthday (0.6.6-2) unstable; urgency=low

  * Imported new upstream release version 0.6.6
    - drop evolution-data-server from depends to recommends for run-time
    - rebase nosetest patch to latest upstream code
  * debian/dirs: drop empty directory usr/share/gbirthday from the list
  * debian/copyright: update my copyright claim
  * debian/control: bump to 3.9.3 standard

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 28 Jun 2012 15:49:44 +0800

=== debian/control ===
Source: gbirthday
Section: gnome
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), python-nose, python-coverage, python-gtk2, intltool, python
X-Python-Version: >= 2.6
Standards-Version: 3.9.3
Homepage: http://gbirthday.sf.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/gbirthday.git
Vcs-Git: git://git.debian.org/collab-maint/gbirthday.git


Package: gbirthday
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python,
 python-gtk2 (>= 2.10), ${python:Depends}
Description: birthday reminder applet
 GBirthday is an applet to help you remember your friends' and contacts'
 birthdays.  It uses the notifcation area for alerts.  Data can be stored
 in a number of address book formats, flat file CSV and MySQL database.

## gbirthday 0.6.7

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 datadir = /usr/share
 sitelib = /usr/lib/python2.6/site-packages
 pixmaps = $(datadir)/pixmaps
-version = 0.6.6
+version = 0.6.7
+DIST_DIR = dist
 
 install = install -p
 mkdir = mkdir -p
@@ -21,7 +22,7 @@
 	$(rm) gbirthday.desktop
 	$(rm) -r gbirthday-$(version) BUILDROOT noarch
 	$(rm) gbirthday*.src.rpm
-	$(rm) `find . | grep ".pyc"`
+	find . -name \*.pyc -delete
 
 install:
 	intltool-merge -d ./po ./gbirthday.desktop.in ./gbirthday.desktop
@@ -46,11 +47,15 @@
 	$(rm) $(DESTDIR)$(pixmaps)/gbirthday.png
 	$(rm) -r $(DESTDIR)$(sitelib)/gbirthday
 
-tar.gz:	clean
-	$(tar) -zcf gbirthday-$(version).tar.gz *
+snapshot: clean
+	mkdir -p $(DIST_DIR)/gbirthday-$(version)
+	rsync -avz --exclude=.git --exclude=$(DIST_DIR) ./ $(DIST_DIR)/gbirthday-$(version)
 
-tar.xz: clean
-	$(tar) -Jcf gbirthday-$(version).tar.xz *
+tar.gz:	snapshot
+	cd $(DIST_DIR) && $(tar) -zcf gbirthday-$(version).tar.gz gbirthday-$(version)
+
+tar.xz: snapshot
+	cd $(DIST_DIR) && $(tar) -Jcf gbirthday-$(version).tar.xz gbirthday-$(version)
 
 test:
 	nosetests -v --with-coverage --cover-package=gbirthday

=== debian/changelog ===
gbirthday (0.6.7-1) unstable; urgency=low

  * new upstream release 0.6.7
    - all events have unique UID. Closes: #747369
  * update my packaging copyright claim to 2014
  * control: bump to Debian standards 3.9.5. No further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Jun 2014 06:53:28 +0800

gbirthday (0.6.6-3) unstable; urgency=low

  * control:
    - bump build dependency for debhelper to allow dh overrides
    - drop obsolete DMUA field
    - update and drop as necessary the X?-Python-Version fields
    - bump policy to version 3.9.4. No further changes.
  * rules: always install to /usr/share/pyshared. Closes: #646806
    Many thanks to Colin Watson.
  * copyright: update my claim to 2013

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 11 May 2013 12:41:29 +0800

=== debian/control ===
Source: gbirthday
Section: gnome
Priority: extra
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: debhelper (>= 7.0.50~), python-nose, python-support, python-coverage, python-gtk2, intltool
X-Python-Version: >= 2.6
Standards-Version: 3.9.5
Homepage: http://gbirthday.sf.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/gbirthday.git
Vcs-Git: git://git.debian.org/collab-maint/gbirthday.git


Package: gbirthday
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python,
 python-gtk2 (>= 2.10), ${python:Depends}
Recommends: python-evolution, evolution-data-server
Description: birthday reminder applet
 GBirthday is an applet to help you remember your friends' and contacts'
 birthdays.  It uses the notifcation area for alerts.  Data can be stored
 in a number of address book formats, flat file CSV and MySQL database.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- sitelib=/usr/share/pyshared

## gbirthday 0.6.9

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 bindir = /usr/bin
 datadir = /usr/share
-sitelib = /usr/lib/python2.6/site-packages
+sitelib = $(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(True)")
 pixmaps = $(datadir)/pixmaps
-version = 0.6.7
+version = 0.6.9
 DIST_DIR = dist
 
 install = install -p
@@ -49,7 +49,7 @@
 
 snapshot: clean
 	mkdir -p $(DIST_DIR)/gbirthday-$(version)
-	rsync -avz --exclude=.git --exclude=$(DIST_DIR) ./ $(DIST_DIR)/gbirthday-$(version)
+	rsync -avz --exclude=.* --exclude=$(DIST_DIR) ./ $(DIST_DIR)/gbirthday-$(version)
 
 tar.gz:	snapshot
 	cd $(DIST_DIR) && $(tar) -zcf gbirthday-$(version).tar.gz gbirthday-$(version)

=== debian/changelog ===
gbirthday (0.6.9-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 0.6.9.
  * debian/control: stop recommending evolution-data-server, it's not supported
    anymore upstream.
  * debian/patches:
    + load-from-private-dir.patch: drop as applied upstream.
    + remove-too-early-import: add to remove a duplicate import, done outside a
      try/except block, so the program can follow the except stanza properly.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 29 Dec 2015 08:54:24 +0000

gbirthday (0.6.7-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Bump Standards-Version to 3.9.6: no changes needed.
  * Run wrap-and-sort.
  * Canonicalize Vcs-* fields.
  * Bump debhelper compat level to 9.
  * Stop recommending python-evolution.  Closes: #707843
  * Add a patch to allow gbirthday load from /usr/share/gbirthday if needed.
  * Build using dh-python instead of python-support.  Closes: #786165.
    Also, move all the files to the private location /usr/share/gbirthday, since
    this is an application.
  * Rewrite debian/watch to use github as source.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 16 Dec 2015 00:13:45 +0000

=== debian/control ===
Source: gbirthday
Section: gnome
Priority: extra
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: debhelper (>= 9),
               dh-python,
               intltool,
               python,
               python-coverage,
               python-gtk2,
               python-nose
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: http://gbirthday.sf.net/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gbirthday.git
Vcs-Git: git://anonscm.debian.org/collab-maint/gbirthday.git

Package: gbirthday
Architecture: all
Depends: python,
         python-gtk2 (>= 2.10),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: birthday reminder applet
 GBirthday is an applet to help you remember your friends' and contacts'
 birthdays.  It uses the notifcation area for alerts.  Data can be stored
 in a number of address book formats, flat file CSV and MySQL database.

## gbirthday 0.6.10

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 datadir = /usr/share
 sitelib = $(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(True)")
 pixmaps = $(datadir)/pixmaps
-version = 0.6.9
+version = 0.6.10
 DIST_DIR = dist
 
 install = install -p

=== debian/changelog ===
gbirthday (0.6.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * New upstream release (Closes: #812638)
  * Bump Standards-Version to 3.9.7: no changes needed.
  * Drop patch remove-too-early-import: upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Mar 2016 15:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python-gtk2,
                python-nose
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://gbirthday.sf.net/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gbirthday.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/gbirthday.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- sitelib=/usr/share/gbirthday

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/gbirthday-$1.tar.gz/" \
https://github.com/Jerome-github/gbirthday/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
